CRM
Adicionar nota ao card
POST
/
crm
/
cards
/
{cardId}
/
notes
Adicionar nota ao card
curl --request POST \
--url https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'note=Cliente pediu para ligar depois das 14h.' \
--form attachment=@example-fileimport requests
url = "https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes"
files = { "attachment": ("example-file", open("example-file", "rb")) }
payload = { "note": "Cliente pediu para ligar depois das 14h." }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('note', 'Cliente pediu para ligar depois das 14h.');
form.append('attachment', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"note\"\r\n\r\nCliente pediu para ligar depois das 14h.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachment\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"note\"\r\n\r\nCliente pediu para ligar depois das 14h.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachment\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"note\"\r\n\r\nCliente pediu para ligar depois das 14h.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachment\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"note\"\r\n\r\nCliente pediu para ligar depois das 14h.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachment\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"data": {
"id": 88,
"note": "Cliente pediu retorno na segunda de manhã.",
"attachment": null,
"crmBoardCardId": 4471,
"userId": null,
"creationSource": "api",
"createdAt": "2026-09-08T14:32:10.000Z",
"updatedAt": "2026-09-08T14:32:10.000Z"
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}Autorizações
Token da API no formato sk_live_….
Parâmetros de caminho
Corpo
multipart/form-data
Resposta
Criado
Anotação registrada no card.
Show child attributes
Show child attributes
Exemplo:
{
"id": 88,
"note": "Cliente pediu retorno na segunda de manhã.",
"attachment": null,
"crmBoardCardId": 4471,
"userId": null,
"creationSource": "api",
"createdAt": "2026-09-08T14:32:10.000Z",
"updatedAt": "2026-09-08T14:32:10.000Z"
}
⌘I
Adicionar nota ao card
curl --request POST \
--url https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'note=Cliente pediu para ligar depois das 14h.' \
--form attachment=@example-fileimport requests
url = "https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes"
files = { "attachment": ("example-file", open("example-file", "rb")) }
payload = { "note": "Cliente pediu para ligar depois das 14h." }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('note', 'Cliente pediu para ligar depois das 14h.');
form.append('attachment', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"note\"\r\n\r\nCliente pediu para ligar depois das 14h.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachment\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"note\"\r\n\r\nCliente pediu para ligar depois das 14h.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachment\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"note\"\r\n\r\nCliente pediu para ligar depois das 14h.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachment\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/crm/cards/{cardId}/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"note\"\r\n\r\nCliente pediu para ligar depois das 14h.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"attachment\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"data": {
"id": 88,
"note": "Cliente pediu retorno na segunda de manhã.",
"attachment": null,
"crmBoardCardId": 4471,
"userId": null,
"creationSource": "api",
"createdAt": "2026-09-08T14:32:10.000Z",
"updatedAt": "2026-09-08T14:32:10.000Z"
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}
